import cv2
import datetime 

# VideoCapture オブジェクトを取得します
capture = cv2.VideoCapture(1)

try:
    while(True):
        # フレームの読み取り
        ret,frame=capture.read()

        # グレースケール変換
        gray=cv2.cvtColor(frame,cv2.COLOR_BGR2GRAY)

        # エッジ検出
        gray=cv2.Canny(gray,100,200)
        cv2.imshow("frame_canny",gray)
        

        cv2.waitKey(10)

except:
    cv2.destroyWindow("Window")

